[PC-BSD Commits] r283 - pcbsd/trunk/system-overlay/PCBSD/xorg-gui/autoDetect
svn at pcbsd.org
svn at pcbsd.org
Mon Jun 4 19:24:56 PDT 2007
Author: kris
Date: 2007-06-05 03:24:56 +0100 (Tue, 05 Jun 2007)
New Revision: 283
Modified:
pcbsd/trunk/system-overlay/PCBSD/xorg-gui/autoDetect/x_config.sh
Log:
Setup the initial auto-detect attempt to load the nvidia driver if "nv"
is selected. This will enable 3d even without the user going to the
manual selection tool.
Modified: pcbsd/trunk/system-overlay/PCBSD/xorg-gui/autoDetect/x_config.sh
===================================================================
--- pcbsd/trunk/system-overlay/PCBSD/xorg-gui/autoDetect/x_config.sh 2007-06-05 01:47:29 UTC (rev 282)
+++ pcbsd/trunk/system-overlay/PCBSD/xorg-gui/autoDetect/x_config.sh 2007-06-05 02:24:56 UTC (rev 283)
@@ -178,6 +178,30 @@
X_DEV=`/usr/bin/sed -n '/^Section "Device"$/,/^EndSection$/ p' $XFREE_NEWCONF`
+echo "${X_DEV}" | grep "Driver" | grep "nv" >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+
+echo "Please wait... Installing nVidia driver..."
+pkg_add -f /PCBSD/packages/nvidia-driver*
+
+X_DEV='
+Section "Device"
+ Option "AllowGLXWithComposite" "True"
+ Option "RenderAccel" "True"
+ Option "AddARGBGLXVisuals" "True"
+ Identifier "Card0"
+ Driver "nvidia"
+ VendorName "nVidia Corporation"
+EndSection
+
+Section "Extensions"
+ Option "Composite" "Enable"
+EndSection
+'
+
+fi
+
case "${X_DEV:-NULL}" in
NULL)
X_DEV='
More information about the Commits
mailing list